/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workieavetemplate.service;

import java.util.List;

import com.jeeplus.common.utils.StringUtils;
import com.jeeplus.modules.sys.entity.Office;
import com.jeeplus.modules.sys.utils.UserUtils;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.jeeplus.common.persistence.Page;
import com.jeeplus.common.service.CrudService;
import com.jeeplus.modules.workieavetemplate.entity.WorkIeaveTemplateUser;
import com.jeeplus.modules.workieavetemplate.dao.WorkIeaveTemplateUserDao;

/**
 * 离职模板Service
 * @author chenyuping
 * @version 2018-08-06
 */
@Service
@Transactional(readOnly = true)
public class WorkIeaveTemplateUserService extends CrudService<WorkIeaveTemplateUserDao, WorkIeaveTemplateUser> {

	public WorkIeaveTemplateUser get(String id) {
		return super.get(id);
	}
	
	public List<WorkIeaveTemplateUser> findList(WorkIeaveTemplateUser workIeaveTemplateUser) {
		return super.findList(workIeaveTemplateUser);
	}
	
	public Page<WorkIeaveTemplateUser> findPage(Page<WorkIeaveTemplateUser> page, WorkIeaveTemplateUser workIeaveTemplateUser) {
		return super.findPage(page, workIeaveTemplateUser);
	}
	
	@Transactional(readOnly = false)
	public void save(WorkIeaveTemplateUser workIeaveTemplateUser) {
		super.save(workIeaveTemplateUser);
	}
	
	@Transactional(readOnly = false)
	public void delete(WorkIeaveTemplateUser workIeaveTemplateUser) {
		super.delete(workIeaveTemplateUser);
	}

	/**
	 * 查询分公司离职模板
	 * @param
	 * @return
	 */
	public List<WorkIeaveTemplateUser> findListforLeave() {
		WorkIeaveTemplateUser workIeaveTemplateUser=new WorkIeaveTemplateUser();
		Office office=UserUtils.getSelectOffice();
		if(StringUtils.isNotBlank(office.getBranchOffice())){
			workIeaveTemplateUser.setBranchOffice(office.getBranchOffice());
		}else{
			workIeaveTemplateUser.setBranchOffice(UserUtils.getSelectCompany().getId());
		}
		return dao.findListforLeave(workIeaveTemplateUser);
	}
	
	
}